<?php

/**
 * Parse configuration file
**/

if( ! isset($_GET['preview']))
{
	$conf = parse_ini_file('../config/default.ini');
}
else
{
	$conf = parse_ini_file('../config/preview.ini');
}

include 'check.php';
$check = checkup('../');
if($conf['type'] == 'opt-in' && ! $check)
{
	$conf['type'] = 'announcement';
} 

if($conf['speed'] == 0) $conf['speed'] = 0.001;
$conf['speed'] = $conf['speed'] * 1000;

if($conf['delay'] == 0) $conf['delay'] = 0.001;
$conf['delay'] = $conf['delay'] * 1000;

/**
 * Get master file and process all includes
**/
 
$master = file_get_contents('../engine/master.html');

$target = array(
	 0 => '==engine==',
	 1 => '==ie-hack==',
	 2 => '==content==',
	 3 => '==main_style==',
	 4 => '==overwrite_style=='
);

$replace = array(
	 0 => file_get_contents('../engine/base.js'),
	 1 => file_get_contents('../engine/ie-hack.css'),
	 2 => file_get_contents('../themes/'.$conf['theme'].'/'.$conf['type'].'/'.(($conf['position'] == 'top' or $conf['position'] == 'bottom') ? 'top_bottom.html' : 'left_right.html')),
	 3 => file_get_contents('../themes/'.$conf['theme'].'/style.css'),
	 4 => file_get_contents('../themes/'.$conf['theme'].'/'.$conf['type'].'/'.$conf['position'].'.css')
);

$master = str_replace($target, $replace, $master);

/**
 * Process additional replaces in assembled master file
**/

$target = array(
	 0 => "\t",
	 1 => "\r\n", 
	 2 => "\n", 
	 3 => "</script>", 
	 4 => '==document_root==',
	 5 => "'"
);

$replace = array(
	 0 => ' ',
	 1 => '', 
	 2 => '', 
	 3 => "<\/script>", 
	 4 => 'http://'.getenv('SERVER_NAME').preg_replace("/php\/[^\/]*$/", '', getenv('SCRIPT_NAME')),
	 5 => "\'"
);

foreach($conf as $key => $c)
{
	$master = str_replace('=='.$key.'==', $c, $master);
}

if($conf['is_aff'] == 0)
{
	$master = preg_replace("/<!--aff_url-->(.*)<!--aff_url-->/", "", $master);
}
if($conf['is_doctype'] == 0)
{
	$master = preg_replace("/\/\*ie-doctype\*\/(.*)\/\*ie-doctype\*\//", "", $master);
}
else
{
	$master = preg_replace("/\/\*ie-no-doctype\*\/(.*)\/\*ie-no-doctype\*\//", "", $master);
}

$master = str_replace($target, $replace, $master);

/**
 * Output header info and all content
**/

if(isset($_GET['write']))
{
	/*$f = fopen('../js/slideup.js', 'w');
	flock($f, 2);
	fputs($f, file_get_contents('../js/jquery.js')."\r\n\r\n".file_get_contents('../js/timer.js')."\r\n\r\n"."document.write('".$master."');");
	fclose($f);
	
	touch('../js/slideup.js');
	
	clearstatcache();*/
	exit;
}

header("Content-type: text/javascript\n\n");
//echo "document.write('", $master, "');";
echo file_get_contents('../js/jquery.js')."\r\n\r\n".file_get_contents('../js/timer.js')."\r\n\r\n"."document.write('".$master."')";
